Auth
User registration and email verification endpoints. Authentication uses NextAuth.js with credential-based sign-in and passkey support.
Create a new user account
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/auth/signup" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "email": "user@example.com", "password": "stringst" }'{
"success": true,
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"
}{
"error": "string"
}Resend email verification link
x-api-key<token>
API key for programmatic access
In: header
Response Body
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/auth/resend-verification"{
"success": true
}{
"error": "string"
}